Loading...
Searching...
No Matches
opengv::GeOutput Struct Reference

`#include <types.hpp>`

## Public Attributes

EIGEN_MAKE_ALIGNED_OPERATOR_NEW Eigen::Vector4d | translation
rotation_t | rotation
Eigen::Vector4d | eigenvalues
Eigen::Matrix4d | eigenvectors

## Detailed Description

GeOutput holds the output-parameters of ge

## Member Data Documentation

## eigenvalues

Eigen::Vector4d opengv::GeOutput::eigenvalues

The eigenvalues of matrix

## eigenvectors

Eigen::Matrix4d opengv::GeOutput::eigenvectors

The eigenvectors of matrix matrix

## rotation

rotation_t opengv::GeOutput::rotation

Rotation from viewpoint 2 back to viewpoint 1

## translation

EIGEN_MAKE_ALIGNED_OPERATOR_NEW Eigen::Vector4d opengv::GeOutput::translation

Homogeneous position of viewpoint 2 seen from viewpoint 1

The documentation for this struct was generated from the following file:

- include/opengv/types.hpp